Quicknav Quicknav
Links

- Google Play Developer Console
- Android Developers Blog
- About Android

Android Sites

- Android.com
- Android Developers
- Android Open Source Project

close

- - Get Started
  - Style
  - Patterns
  - Building Blocks
  - Downloads
  - Videos
- - Training
  - API Guides
  - Reference
  - Tools
    - Get the SDK
  - Google Services
- - Google Play
  - Publishing
  - Promoting
  - App Quality
  - Spotlight
  - Open Distribution

## Results

Loading...
public interface

# Account

com.google.android.gms.plus.Account

## Class Overview

The main entry point for Google+ account management. To use these features, you should add the `API` to your `GoogleApiClient.Builder`.

## Summary

Public Methods
abstract void | clearDefaultAccount(GoogleApiClient googleApiClient) Removes the default account set in Google Play services for your app.
abstract String | getAccountName(GoogleApiClient googleApiClient) Gets the account name resolved by Google Play services.
abstract PendingResult<Status> | revokeAccessAndDisconnect(GoogleApiClient googleApiClient) Revokes access given to the current application.

## Public Methods

#### public abstract void clearDefaultAccount (GoogleApiClient googleApiClient)

Removes the default account set in Google Play services for your app. Subsequent calls to `connect()` will return a resolution intent that will let the user select a different account.

If the user chooses the same account, no consent will be required since access to the app is not revoked. Users should also be given the option to revoke access with `revokeAccessAndDisconnect(GoogleApiClient)`.

Required API: `API`

##### Parameters

googleApiClient | The connected `GoogleApiClient` to service the call.

#### public abstract String getAccountName (GoogleApiClient googleApiClient)

Gets the account name resolved by Google Play services. The permission `<uses-permission android:name="android.permission.GET_ACCOUNTS" />` must be declared in your `AndroidManifest.xml` to use this method.

Required API: `API`

##### Parameters

googleApiClient | The connected `GoogleApiClient` to service the call.

##### Returns

- The account name. If the user has not selected an account, null is returned.

##### Throws

SecurityException | If your app doesn't have the `GET_ACCOUNTS` permission.

#### public abstract PendingResult<Status> revokeAccessAndDisconnect (GoogleApiClient googleApiClient)

Revokes access given to the current application.

Required API: `API`

##### Parameters

googleApiClient | The connected `GoogleApiClient` to service the call.

##### Returns

- the PendingResult for notification and access to the result when it's available.